// WARNING: Please don't edit this file. It was generated by C++/WinRT v2.0.220110.5

#pragma once
#ifndef WINRT_Windows_UI_Input_1_H
#define WINRT_Windows_UI_Input_1_H
#include "winrt/impl/Windows.UI.Input.0.h"
WINRT_EXPORT namespace winrt::Windows::UI::Input
{
    struct __declspec(empty_bases) IAttachableInputObject :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IAttachableInputObject>
    {
        IAttachableInputObject(std::nullptr_t = nullptr) noexcept {}
        IAttachableInputObject(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IAttachableInputObjectFactory :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IAttachableInputObjectFactory>
    {
        IAttachableInputObjectFactory(std::nullptr_t = nullptr) noexcept {}
        IAttachableInputObjectFactory(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) ICrossSlidingEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<ICrossSlidingEventArgs>
    {
        ICrossSlidingEventArgs(std::nullptr_t = nullptr) noexcept {}
        ICrossSlidingEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IDraggingEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IDraggingEventArgs>
    {
        IDraggingEventArgs(std::nullptr_t = nullptr) noexcept {}
        IDraggingEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IEdgeGesture :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IEdgeGesture>
    {
        IEdgeGesture(std::nullptr_t = nullptr) noexcept {}
        IEdgeGesture(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IEdgeGestureEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IEdgeGestureEventArgs>
    {
        IEdgeGestureEventArgs(std::nullptr_t = nullptr) noexcept {}
        IEdgeGestureEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IEdgeGestureStatics :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IEdgeGestureStatics>
    {
        IEdgeGestureStatics(std::nullptr_t = nullptr) noexcept {}
        IEdgeGestureStatics(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IGestureRecognizer :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IGestureRecognizer>
    {
        IGestureRecognizer(std::nullptr_t = nullptr) noexcept {}
        IGestureRecognizer(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IHoldingEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IHoldingEventArgs>
    {
        IHoldingEventArgs(std::nullptr_t = nullptr) noexcept {}
        IHoldingEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IInputActivationListener :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IInputActivationListener>
    {
        IInputActivationListener(std::nullptr_t = nullptr) noexcept {}
        IInputActivationListener(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IInputActivationListenerActivationChangedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IInputActivationListenerActivationChangedEventArgs>
    {
        IInputActivationListenerActivationChangedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IInputActivationListenerActivationChangedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IKeyboardDeliveryInterceptor :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IKeyboardDeliveryInterceptor>
    {
        IKeyboardDeliveryInterceptor(std::nullptr_t = nullptr) noexcept {}
        IKeyboardDeliveryInterceptor(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IKeyboardDeliveryInterceptorStatics :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IKeyboardDeliveryInterceptorStatics>
    {
        IKeyboardDeliveryInterceptorStatics(std::nullptr_t = nullptr) noexcept {}
        IKeyboardDeliveryInterceptorStatics(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IManipulationCompletedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IManipulationCompletedEventArgs>
    {
        IManipulationCompletedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IManipulationCompletedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IManipulationInertiaStartingEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IManipulationInertiaStartingEventArgs>
    {
        IManipulationInertiaStartingEventArgs(std::nullptr_t = nullptr) noexcept {}
        IManipulationInertiaStartingEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IManipulationStartedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IManipulationStartedEventArgs>
    {
        IManipulationStartedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IManipulationStartedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IManipulationUpdatedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IManipulationUpdatedEventArgs>
    {
        IManipulationUpdatedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IManipulationUpdatedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IMouseWheelParameters :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IMouseWheelParameters>
    {
        IMouseWheelParameters(std::nullptr_t = nullptr) noexcept {}
        IMouseWheelParameters(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IPointerPoint :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IPointerPoint>
    {
        IPointerPoint(std::nullptr_t = nullptr) noexcept {}
        IPointerPoint(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IPointerPointProperties :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IPointerPointProperties>
    {
        IPointerPointProperties(std::nullptr_t = nullptr) noexcept {}
        IPointerPointProperties(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IPointerPointProperties2 :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IPointerPointProperties2>
    {
        IPointerPointProperties2(std::nullptr_t = nullptr) noexcept {}
        IPointerPointProperties2(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IPointerPointStatics :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IPointerPointStatics>
    {
        IPointerPointStatics(std::nullptr_t = nullptr) noexcept {}
        IPointerPointStatics(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IPointerPointTransform :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IPointerPointTransform>
    {
        IPointerPointTransform(std::nullptr_t = nullptr) noexcept {}
        IPointerPointTransform(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IPointerVisualizationSettings :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IPointerVisualizationSettings>
    {
        IPointerVisualizationSettings(std::nullptr_t = nullptr) noexcept {}
        IPointerVisualizationSettings(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IPointerVisualizationSettingsStatics :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IPointerVisualizationSettingsStatics>
    {
        IPointerVisualizationSettingsStatics(std::nullptr_t = nullptr) noexcept {}
        IPointerVisualizationSettingsStatics(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialController :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialController>
    {
        IRadialController(std::nullptr_t = nullptr) noexcept {}
        IRadialController(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialController2 :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialController2>
    {
        IRadialController2(std::nullptr_t = nullptr) noexcept {}
        IRadialController2(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerButtonClickedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerButtonClickedEventArgs>
    {
        IRadialControllerButtonClickedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerButtonClickedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerButtonClickedEventArgs2 :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerButtonClickedEventArgs2>
    {
        IRadialControllerButtonClickedEventArgs2(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerButtonClickedEventArgs2(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerButtonHoldingEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerButtonHoldingEventArgs>
    {
        IRadialControllerButtonHoldingEventArgs(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerButtonHoldingEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerButtonPressedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerButtonPressedEventArgs>
    {
        IRadialControllerButtonPressedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerButtonPressedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerButtonReleasedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerButtonReleasedEventArgs>
    {
        IRadialControllerButtonReleasedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerButtonReleasedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerConfiguration :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerConfiguration>
    {
        IRadialControllerConfiguration(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerConfiguration(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerConfiguration2 :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerConfiguration2>
    {
        IRadialControllerConfiguration2(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerConfiguration2(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerConfigurationStatics :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerConfigurationStatics>
    {
        IRadialControllerConfigurationStatics(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerConfigurationStatics(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerConfigurationStatics2 :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerConfigurationStatics2>
    {
        IRadialControllerConfigurationStatics2(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerConfigurationStatics2(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerControlAcquiredEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerControlAcquiredEventArgs>
    {
        IRadialControllerControlAcquiredEventArgs(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerControlAcquiredEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerControlAcquiredEventArgs2 :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerControlAcquiredEventArgs2>
    {
        IRadialControllerControlAcquiredEventArgs2(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerControlAcquiredEventArgs2(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerMenu :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerMenu>
    {
        IRadialControllerMenu(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerMenu(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerMenuItem :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerMenuItem>
    {
        IRadialControllerMenuItem(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerMenuItem(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerMenuItemStatics :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerMenuItemStatics>
    {
        IRadialControllerMenuItemStatics(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerMenuItemStatics(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerMenuItemStatics2 :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerMenuItemStatics2>
    {
        IRadialControllerMenuItemStatics2(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerMenuItemStatics2(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerRotationChangedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerRotationChangedEventArgs>
    {
        IRadialControllerRotationChangedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerRotationChangedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerRotationChangedEventArgs2 :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerRotationChangedEventArgs2>
    {
        IRadialControllerRotationChangedEventArgs2(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerRotationChangedEventArgs2(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerScreenContact :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerScreenContact>
    {
        IRadialControllerScreenContact(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerScreenContact(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerScreenContactContinuedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerScreenContactContinuedEventArgs>
    {
        IRadialControllerScreenContactContinuedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerScreenContactContinuedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerScreenContactContinuedEventArgs2 :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerScreenContactContinuedEventArgs2>
    {
        IRadialControllerScreenContactContinuedEventArgs2(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerScreenContactContinuedEventArgs2(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerScreenContactEndedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerScreenContactEndedEventArgs>
    {
        IRadialControllerScreenContactEndedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerScreenContactEndedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerScreenContactStartedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerScreenContactStartedEventArgs>
    {
        IRadialControllerScreenContactStartedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerScreenContactStartedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerScreenContactStartedEventArgs2 :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerScreenContactStartedEventArgs2>
    {
        IRadialControllerScreenContactStartedEventArgs2(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerScreenContactStartedEventArgs2(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRadialControllerStatics :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRadialControllerStatics>
    {
        IRadialControllerStatics(std::nullptr_t = nullptr) noexcept {}
        IRadialControllerStatics(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) IRightTappedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<IRightTappedEventArgs>
    {
        IRightTappedEventArgs(std::nullptr_t = nullptr) noexcept {}
        IRightTappedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
    struct __declspec(empty_bases) ITappedEventArgs :
        winrt::Windows::Foundation::IInspectable,
        impl::consume_t<ITappedEventArgs>
    {
        ITappedEventArgs(std::nullptr_t = nullptr) noexcept {}
        ITappedEventArgs(void* ptr, take_ownership_from_abi_t) noexcept : winrt::Windows::Foundation::IInspectable(ptr, take_ownership_from_abi) {}
    };
}
#endif
